<app-breadcrumb-admin [single]="false" titlePage="Crear Noticias" backPage="Noticias" url="news"></app-breadcrumb-admin>


<div class="row">
  <div class="col-12">
    <div class="card mb-3">
      <div class="card-header">
        <h3><fa-icon [icon]="faHandPointer"></fa-icon> Nueva Noticia</h3>
      </div>
      <div class="card-body">
        <form class="validate-form" (ngSubmit)="submit(form)" #form="ngForm">
          <div class="row">
            <div class="col-12">
              <label for="title"  class="label-flags">
                <img src="assets/images/flags/Flag_of_mexico.png" width="20px" alt="spanish" *ngIf="serviceTranslation.getLang() == 'es'">
                <img src="assets/images/flags/Flag_of_United.svg" width="20px" alt="english" *ngIf="serviceTranslation.getLang() == 'en'">
                <span> Titulo</span>
              </label>
              <input type="text" name="title" placeholder="Titulo" id="title" class="form-control" ngModel required>
              <label for="url"  class="label-flags">
                <span> Link </span>
              </label>
              <input type="text" name="url" placeholder="Link" id="url" class="form-control" ngModel>
              <label for="intro"  class="label-flags">
                <img src="assets/images/flags/Flag_of_mexico.png" width="20px" alt="spanish" *ngIf="serviceTranslation.getLang() == 'es'">
                <img src="assets/images/flags/Flag_of_United.svg" width="20px" alt="english" *ngIf="serviceTranslation.getLang() == 'en'">
                <span> Introducción</span>
              </label>
              <ckeditor [editor]="Editor" ngModel name="intro" id="intro"></ckeditor>
              <label for="content"  class="label-flags">
                <img src="assets/images/flags/Flag_of_mexico.png" width="20px" alt="spanish" *ngIf="serviceTranslation.getLang() == 'es'">
                <img src="assets/images/flags/Flag_of_United.svg" width="20px" alt="english" *ngIf="serviceTranslation.getLang() == 'en'">
                <span> Contenido</span>
              </label>
              <ckeditor [editor]="Editor" ngModel name="content" id="content"></ckeditor>
            </div>
          </div>
          <div class="alert alert-primary mt-3" role="alert">
            <fa-icon [icon]="faImages"></fa-icon> Imágenes (Formato png, jpg o jpeg de tamaño 1,280 x 960 a 72 dpi)<br>
          </div>
          <div class="position-relative form-group">
            <label for="image" class="">Imagen</label>
            <div class="row">
              <div class="col-4">
                <img [src]="url_images + imageInit" class="img-fluid cursor" (click)="file.click()" [alt]="imageInit" *ngIf="imageInit">
                <img [src]="thumbnail" *ngIf="thumbnail" class="img-fluid cursor" (click)="file.click()">
                <img src="assets/images/missing.png" *ngIf="!imageInit && !thumbnail" class="img-fluid cursor" (click)="file.click()">
              </div>
              <div class="col-4 d-flex align-items-center">
                <div class="upload-btn-wrapper">
                  <button class="btn btn-primary">Selecciona un archivo</button>
                  <input type="file" name="image" id="image" (change)="getImage($event)" #file>
                </div>
              </div>
              <div class="col-12 col-md-4">
                <ngb-datepicker #dp ngModel name="date" (navigate)="date = $event.next"></ngb-datepicker>
              </div>
            </div>
          </div>
          <div class="alert alert-warning mt-3" role="alert">
            <fa-icon [icon]="faImages"></fa-icon> Para agregar galeria al producto, es necesario crearlo primero y posteriormente ir al apartado de edición<br>
          </div>
          <button type="submit" [disabled]="form.invalid" class="mt-2 float-end btn btn-primary">
            <fa-icon [icon]="faSave"></fa-icon>
            Guardar
          </button>
        </form>
      </div>
    </div>
  </div>
</div>



